Did R 4.0 break arcgisbinding tool?

544
2
Jump to solution
01-07-2021 10:30 AM
Labels (3)
ZebYoko
New Contributor

Title. Made the mistake/needed to update R for other purposes. Cannot get the arcgisbinding bridge to work with 4.0+ R version. Using 32bit R because using ArcMap. Python script was still working in ArcMap, but when trying to work in R says arcgisbinding was installed before r version please reinstall. Tried that, to no avail. Then tried rolling back and using R version 3.6.3 but ArcMap seems to not bind to that even after uninstalling and reinstalling r-bridge-install-master and dissolving and reestablishing the folder connection

Tags (3)
1 Solution

Accepted Solutions
OrhunAydin
Esri Contributor

Hello Zeb,

Thanks for posting this issue. We made quite a bit of enhancements to the R-ArcGIS Bridge, releasing a new version this week, v244. Please install the new version of the R-ArcGIS Bridge and let me now if you are having further issues with your script tools.

Best,

Orhun

View solution in original post

2 Replies
OrhunAydin
Esri Contributor

Hello Zeb,

Thanks for posting this issue. We made quite a bit of enhancements to the R-ArcGIS Bridge, releasing a new version this week, v244. Please install the new version of the R-ArcGIS Bridge and let me now if you are having further issues with your script tools.

Best,

Orhun

View solution in original post

ZebYoko
New Contributor

I realize this is slow getting back, but thank you so much! Updating the package worked, and the bridge is working again. I'm glad to see there is still support for this!

0 Kudos